EDIT - bug #8582

Taxon Navigator: Classification label not refreshed & new taxa not visible
10/10/2019 05:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal Found in Version:

Description

1. The Classification label is not refreshed in the Taxon Navigator after changing it in the "Classification Wizzard" - DONE

2. After adding a new taxon to an empty classification, the classification still appears empty in the navigator. - DONE

3. The TaxonNavigator is not being refreshed after importing an ABCD file, newly created classifications are not visible unless the
navigator view is closed and re-opened. => #8659

Choosing the Refresh function via the context menu does not help.
The view needs to be closed and reopened to make the changes visible.

| think this issue should have higher priority as this edit step is one of the first tasks in the Manual-EDIT-Platform-03-TaxEditor-Intro.
Users should not be confused by such early problems in the suggested workflow.

Related issues:

Related to EDIT - bug #5670: Refresh of Taxon Navigator Closed
Related to EDIT - bug #8631: ABCD import fails to put new taxa into the class... Closed
Related to EDIT - bug #8729: Refresh Taxon Navigator after Specimen import New

Copied to EDIT - bug #8659: Taxon navigator: not refreshed after ABCD file im... Closed

Associated revisions

Revision 5f0db270 - 10/29/2019 01:24 PM - Katja Luther

fix #8582: fix refresh in navigator

History

#1 - 10/10/2019 05:49 PM - Andreas Kohlbecker
- Related to bug #5670: Refresh of Taxon Navigator added

#2 - 10/10/2019 05:53 PM - Andreas Kohlbecker
- Subject changed from Taxon Navigator: Classification label not refreshed to Taxon Navigator: Classification label not refreshed &

- Description updated

#3 - 10/10/2019 05:55 PM - Andreas Kohlbecker

- Subject changed from Taxon Navigator: Classification label not refreshed & to Taxon Navigator: Classification label not refreshed & new taxa not
visible

- Description updated

#4 - 10/11/2019 09:35 AM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.11

#5 - 10/29/2019 01:25 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50
https://dev.e-taxonomy.eu/redmine/issues/8659

Applied in changeset taxeditor|5f0db2701c5631c2d83e7441fc963adfba5c9f8a.

#6 - 11/01/2019 11:52 AM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Kohlbecker

| guess this should be reviewed.

#7 - 11/04/2019 03:24 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 50 to 100

Refreshing obviously is working again. Thanks for fixing.

#8 - 11/06/2019 09:24 AM - Andreas Kohlbecker

- Related to bug #8631: ABCD import fails to put new taxa into the classification, create mediaspecimens, etc added

#9 - 11/06/2019 09:27 AM - Andreas Kohlbecker
- Description updated

- Status changed from Closed to In Progress

- % Done changed from 100 to 70

There is still a problem related to this issue.

The TaxonNavigator is not being refreshed after importing an ABCD file, newly created classifications are not visible unless the navigator view is
closed and re-opened.

#10 - 11/06/2019 09:27 AM - Andreas Kohlbecker

- Description updated

#11 - 11/07/2019 03:22 PM - Andreas Miiller

- Description updated

#12 - 11/07/2019 03:24 PM - Andreas Miiller
- Status changed from In Progress to Closed
Andreas Kohlbecker wrote:
There is still a problem related to this issue.
The TaxonNavigator is not being refreshed after importing an ABCD file, newly created classifications are not visible unless the navigator view is

closed and re-opened.

As this is not part of this ticket but related | created a new ticket: #8659, otherwise we have to wait for release

#13 - 11/07/2019 03:24 PM - Andreas Miiller
- Copied to bug #8659: Taxon navigator: not refreshed after ABCD file import added

#14 - 11/28/2019 11:49 AM - Andreas Miiller
- Related to bug #8729: Refresh Taxon Navigator after Specimen import added
